Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Jan 2022 12:18:44 +0200

On January 17, 2022 10:59:36 AM GMT+02:00, Lars Ingebrigtsen <[email-masked]> wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> >> So I guess the Scripts.txt file will have to be parsed in addition, and
> >> into a new char table.
> >
> > Why can't we use our char-script-table? how different is it from what
> > Unicode wants?
> 
> Well, as the Unicode web page says -- using Blocks to determine the
> script is just, well, wrong.  (Or "inaccurate", if you want.)  So using
> it will give both false positives and negatives.

Yes, I understand the general concern, but I'm asking how serious is this in practice.  Can you tell?

> In addition, that table assumes that each character belongs to a single
> script, which is also wrong.  So I'm making a new table based on
> Scripts.txt and ScriptExtensions.txt.

It is confusing to have 2 separate properties of a character that are subtly incompatible, and for such obscure properties at that.  It will be source of many problems.  So I think we should avoid that if it's feasible.  Can we plrase discuss any real problems that would be xaused by using the existing char-table?